Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.debug
Class TransDebugMeta

    java.lang.Object
      org.pentaho.di.trans.debug.TransDebugMeta

    public class TransDebugMeta

extends Object

For a certain transformation, we want to be able to insert break-points into a transformation. These breakpoints can be applied to steps. When a certain condition is met, the transformation will be paused and the caller will be informed of this fact through a listener system.

Author:
  Matt

Field Summary
`static String` | `XML_TAG`
`static String` | `XML_TAG_STEP_DEBUG_METAS`

Constructor Summary
`TransDebugMeta(TransMeta transMeta)`

Method Summary
`void` | `addBreakPointListers(BreakPointListener breakPointListener)` Add a break point listener to all defined step debug meta data
`void` | `addRowListenersToTransformation(Trans trans)`
`int` | `getNrOfUsedSteps()`
`Map<StepMeta,StepDebugMeta>` | `getStepDebugMetaMap()`
`int` | `getTotalNumberOfHits()`
`TransMeta` | `getTransMeta()`
`void` | `setStepDebugMetaMap(Map<StepMeta,StepDebugMeta> stepDebugMeta)`
`void` | `setTransMeta(TransMeta transMeta)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML_TAG

    public static final String XML_TAG

See Also:
  Constant Field Values

### XML_TAG_STEP_DEBUG_METAS

    public static final String XML_TAG_STEP_DEBUG_METAS

See Also:
  Constant Field Values

Constructor Detail

### TransDebugMeta

    public TransDebugMeta(TransMeta transMeta)

Method Detail

### getTransMeta

    public TransMeta getTransMeta()

  Returns:
    the referenced transformation metadata

### setTransMeta

    public void setTransMeta(TransMeta transMeta)

  Parameters:
    `transMeta` - the transformation metadata to reference

### getStepDebugMetaMap

    public Map<StepMeta,StepDebugMeta> getStepDebugMetaMap()

  Returns:
    the map that contains the debugging information per step

### setStepDebugMetaMap

    public void setStepDebugMetaMap(Map<StepMeta,StepDebugMeta> stepDebugMeta)

  Parameters:
    `stepDebugMeta` - the map that contains the debugging information per step

### addRowListenersToTransformation

    public void addRowListenersToTransformation(Trans trans)

### addBreakPointListers

    public void addBreakPointListers(BreakPointListener breakPointListener)

  Add a break point listener to all defined step debug meta data

  Parameters:
    `breakPointListener` - the break point listener to add

### getTotalNumberOfHits

    public int getTotalNumberOfHits()

  Returns:
    the number of times the break-point listeners got called. This is the total for all the steps.

### getNrOfUsedSteps

    public int getNrOfUsedSteps()

  Returns:
    the number of steps used to preview or debug on

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD